Get project details
curl --request GET \
--url https://api.example.com/governance/projects/{project_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/governance/projects/{project_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/governance/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"project_type": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}projects
Get project details
Retrieves detailed information about a specific project by its ID. The user must have permission to view the project.
GET
/
governance
/
projects
/
{project_id}
Get project details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the project
Response
Successful Response
Full project representation for GET /projects/{project_id}.
Display name of the project
ID of the organization this project belongs to
Timestamp when the project was created
Description of the project
Type of project
Timestamp when the project was last updated
Was this page helpful?

